/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FastStochasticOscillatorIndicatorStrategy } from "./FastStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class FastStochasticOscillatorIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 3;
    }
    get_p0() {
        return new FastStochasticOscillatorIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return FastStochasticOscillatorIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(FastStochasticOscillatorIndicator.qm));
    }
    set ql(a) {
        this.h(FastStochasticOscillatorIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
FastStochasticOscillatorIndicator.qm = StrategyBasedIndicator.qi(14, FastStochasticOscillatorIndicator.$);
FastStochasticOscillatorIndicator.$t = markType(FastStochasticOscillatorIndicator, 'FastStochasticOscillatorIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.FastStochasticOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.FastStochasticOscillatorIndicator" />*/
